<html>
<head>
<title>OgreTerrainPagedWorldSection.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_f1fa7196649e3987904dbdb4948bc856.html">Components</a>      </li>
      <li class="navelem"><a class="el" href="dir_6cd0971983c3e0e5b0cb362e5db7fc9d.html">Terrain</a>      </li>
      <li class="navelem"><a class="el" href="dir_9b506231b651991d884bb23d993d7984.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgreTerrainPagedWorldSection.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgreTerrainPagedWorldSection_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">(Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00010"></a>00010 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00011"></a>00011 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00012"></a>00012 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00013"></a>00013 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00014"></a>00014 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00015"></a>00015 <span class="comment"></span>
<a name="l00016"></a>00016 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00017"></a>00017 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00020"></a>00020 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00021"></a>00021 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00022"></a>00022 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00023"></a>00023 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00024"></a>00024 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00025"></a>00025 <span class="comment">THE SOFTWARE.</span>
<a name="l00026"></a>00026 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00027"></a>00027 <span class="comment">*/</span>
<a name="l00028"></a>00028 
<a name="l00029"></a>00029 <span class="preprocessor">#ifndef __Ogre_TerrainPagedWorldSection_H__</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span><span class="preprocessor">#define __Ogre_TerrainPagedWorldSection_H__</span>
<a name="l00031"></a>00031 <span class="preprocessor"></span>
<a name="l00032"></a>00032 <span class="preprocessor">#include &quot;<a class="code" href="OgreTerrainPrerequisites_8h.html">OgreTerrainPrerequisites.h</a>&quot;</span>
<a name="l00033"></a>00033 <span class="preprocessor">#include &quot;<a class="code" href="OgrePagedWorldSection_8h.html">OgrePagedWorldSection.h</a>&quot;</span>
<a name="l00034"></a>00034 <span class="preprocessor">#include &quot;<a class="code" href="OgrePageManager_8h.html">OgrePageManager.h</a>&quot;</span>
<a name="l00035"></a>00035 
<a name="l00036"></a>00036 
<a name="l00037"></a>00037 
<a name="l00038"></a>00038 <span class="keyword">namespace </span>Ogre
<a name="l00039"></a>00039 {
<a name="l00040"></a>00040     <span class="keyword">class </span>Grid2DPageStrategy;
<a name="l00041"></a>00041     <span class="keyword">class </span>Grid2DPageStrategyData;
<a name="l00042"></a>00042     <span class="keyword">class </span>TerrainGroup;
<a name="l00043"></a>00043 
<a name="l00080"></a><a class="code" href="classOgre_1_1TerrainPagedWorldSection.html">00080</a>     <span class="keyword">class </span><a class="code" href="OgreTerrainPrerequisites_8h.html#a2fbe49b54cb4b3c3e2757cd3ac167068">_OgreTerrainExport</a> <a class="code" href="classOgre_1_1TerrainPagedWorldSection.html" title="A world section which includes paged terrain.">TerrainPagedWorldSection</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1PagedWorldSection.html" title="Represents a section of the PagedWorld which uses a given PageStrategy, and which is made up of a gen...">PagedWorldSection</a>
<a name="l00081"></a>00081     {
<a name="l00082"></a>00082     <span class="keyword">public</span>:
<a name="l00088"></a>00088         <a class="code" href="classOgre_1_1TerrainPagedWorldSection.html" title="A world section which includes paged terrain.">TerrainPagedWorldSection</a>(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name, <a class="code" href="classOgre_1_1PagedWorld.html" title="This class represents a collection of pages which make up a world.">PagedWorld</a>* parent, <a class="code" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a>* sm);
<a name="l00089"></a>00089         ~<a class="code" href="classOgre_1_1TerrainPagedWorldSection.html" title="A world section which includes paged terrain.">TerrainPagedWorldSection</a>();
<a name="l00090"></a>00090 
<a name="l00100"></a>00100         <span class="keyword">virtual</span> <span class="keywordtype">void</span> init(<a class="code" href="classOgre_1_1TerrainGroup.html" title="Helper class to assist you in managing multiple terrain instances that are connected to each other...">TerrainGroup</a>* grp);
<a name="l00101"></a>00101 
<a name="l00107"></a><a class="code" href="classOgre_1_1TerrainPagedWorldSection.html#a0688a60a373f289974868411ffd67653">00107</a>         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1TerrainGroup.html" title="Helper class to assist you in managing multiple terrain instances that are connected to each other...">TerrainGroup</a>* <a class="code" href="classOgre_1_1TerrainPagedWorldSection.html#a0688a60a373f289974868411ffd67653" title="Get the TerrainGroup which this world section is using.">getTerrainGroup</a>() { <span class="keywordflow">return</span> mTerrainGroup; }
<a name="l00108"></a>00108 
<a name="l00110"></a>00110         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setLoadRadius(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> sz);
<a name="l00112"></a>00112         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getLoadRadius() <span class="keyword">const</span>;
<a name="l00114"></a>00114         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setHoldRadius(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> sz);
<a name="l00116"></a>00116         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getHoldRadius();
<a name="l00118"></a>00118         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setPageRange(<a class="code" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> minX, <a class="code" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> minY, <a class="code" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> maxX, <a class="code" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> maxY);
<a name="l00120"></a>00120         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setPageRangeMinX(<a class="code" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> minX);
<a name="l00122"></a>00122         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setPageRangeMinY(<a class="code" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> minY);
<a name="l00124"></a>00124         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setPageRangeMaxX(<a class="code" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> maxX);
<a name="l00126"></a>00126         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setPageRangeMaxY(<a class="code" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> maxY);
<a name="l00128"></a>00128         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> getPageRangeMinX() <span class="keyword">const</span>;
<a name="l00130"></a>00130         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> getPageRangeMinY() <span class="keyword">const</span>;
<a name="l00132"></a>00132         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> getPageRangeMaxX() <span class="keyword">const</span>;
<a name="l00134"></a>00134         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> getPageRangeMaxY() <span class="keyword">const</span>;
<a name="l00135"></a>00135 
<a name="l00137"></a>00137         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1Grid2DPageStrategy.html" title="Page strategy which loads new pages based on a regular 2D grid.">Grid2DPageStrategy</a>* getGridStrategy() <span class="keyword">const</span>;
<a name="l00139"></a>00139         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1Grid2DPageStrategyData.html" title="Specialisation of PageStrategyData for Grid2DPageStrategy.">Grid2DPageStrategyData</a>* getGridStrategyData() <span class="keyword">const</span>;
<a name="l00140"></a>00140 
<a name="l00142"></a>00142         <span class="keywordtype">void</span> loadPage(<a class="code" href="namespaceOgre.html#a5126a9c9fbccbfe4c78070263098acb2" title="Identifier for a page.">PageID</a> pageID, <span class="keywordtype">bool</span> forceSynchronous = <span class="keyword">false</span>);
<a name="l00144"></a>00144         <span class="keywordtype">void</span> unloadPage(<a class="code" href="namespaceOgre.html#a5126a9c9fbccbfe4c78070263098acb2" title="Identifier for a page.">PageID</a> pageID, <span class="keywordtype">bool</span> forceSynchronous = <span class="keyword">false</span>);
<a name="l00145"></a>00145 
<a name="l00146"></a>00146     <span class="keyword">protected</span>:
<a name="l00147"></a><a class="code" href="classOgre_1_1TerrainPagedWorldSection.html#ad5237cec76d545c228884e10e151f966">00147</a>         <a class="code" href="classOgre_1_1TerrainGroup.html" title="Helper class to assist you in managing multiple terrain instances that are connected to each other...">TerrainGroup</a>* <a class="code" href="classOgre_1_1TerrainPagedWorldSection.html#ad5237cec76d545c228884e10e151f966">mTerrainGroup</a>;
<a name="l00148"></a>00148 
<a name="l00150"></a>00150         <span class="keywordtype">void</span> loadSubtypeData(<a class="code" href="classOgre_1_1StreamSerialiser.html" title="Utility class providing helper methods for reading / writing structured data held in a DataStream...">StreamSerialiser</a>&amp; ser);
<a name="l00151"></a>00151         <span class="keywordtype">void</span> saveSubtypeData(<a class="code" href="classOgre_1_1StreamSerialiser.html" title="Utility class providing helper methods for reading / writing structured data held in a DataStream...">StreamSerialiser</a>&amp; ser);
<a name="l00152"></a>00152 
<a name="l00153"></a>00153         <span class="keyword">virtual</span> <span class="keywordtype">void</span> syncSettings();
<a name="l00154"></a>00154 
<a name="l00155"></a>00155     };
<a name="l00156"></a>00156 
<a name="l00157"></a>00157 
<a name="l00158"></a>00158 
<a name="l00159"></a>00159 
<a name="l00160"></a>00160 
<a name="l00163"></a>00163 }
<a name="l00164"></a>00164 
<a name="l00165"></a>00165 <span class="preprocessor">#endif</span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:52
</p>
</body>
</html>
